%global realname parsedatetime

Name:           python-%{realname}
Version:        2.6
Release:        %mkrel 6
Summary:        Parse human-readable date/time strings in Python

Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/bear/%{realname}
Source0:        https://github.com/bear/%{realname}/archive/v%{version}.tar.gz#/%{realname}-%{version}.tar.gz

BuildArch:      noarch

# Since the tests are actually broken, don't require test-related packages now.
# As soon as the tests get fixed, we'll also have to import python*-pytest-cov.
BuildRequires:  python3-devel

%description
parsedatetime is a python module that can parse human-readable date/time
strings.

%package doc
Summary:       Documentation for the parsedatetime python module

%description doc
This package contains the generated HTML documentation for the 
parsedatetime python module

%package -n python3-%{realname}
Summary:        Parse human-readable date/time strings in Python
Group:          Development/Python
%{?python_provide:%python_provide python3-%{realname}}

%description -n python3-%{realname}
parsedatetime is a python module that can parse human-readable date/time
strings.

%prep
%setup -q -n %{realname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files parsedatetime
# It makes no sense to ship all these tests in the package
# just use them during the build
rm -rf %{buildroot}%{python3_sitelib}/%{realname}/tests

%files -n python3-%{realname} -f %{pyproject_files}
%license LICENSE.txt
%doc AUTHORS.txt CHANGES.txt README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.6-6.mga10
+ Revision: 2238691
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 2.6-5.mga10
+ Revision: 2155521
- rebuild for python3.13

* Wed Dec 13 2023 papoteur <papoteur> 2.6-4.mga10
+ Revision: 2017759
- rebuild for python 3.12

* Wed Mar 30 2022 umeabot <umeabot> 2.6-3.mga9
+ Revision: 1833853
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 2.6-2.mga9
+ Revision: 1783392
- rebuild for python-3.10

* Sat Apr 10 2021 kekepower <kekepower> 2.6-1.mga9
+ Revision: 1714621
- Update to version 2.6

* Tue Feb 18 2020 umeabot <umeabot> 2.5-2.mga8
+ Revision: 1539596
- Mageia 8 Mass Rebuild

* Mon Dec 09 2019 daviddavid <daviddavid> 2.5-1.mga8
+ Revision: 1465344
- new version: 2.5

* Thu Oct 03 2019 guillomovitch <guillomovitch> 2.4-5.mga8
+ Revision: 1449160
- rebuild for python 3.8
- drop python 2 support

* Mon Jan 07 2019 kekepower <kekepower> 2.4-4.mga7
+ Revision: 1350639
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.4-3.mga7
+ Revision: 1289593
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.4-2.mga7
+ Revision: 1135537
- Rebuild for python 3.6

* Mon May 22 2017 mitya <mitya> 2.4-1.mga6
+ Revision: 1104082
- Mageify
- imported package python-parsedatetime


* Sun May 14 2017 Michele Baldessari <michele@acksyn.org> - 2.4-1
- New upstream release

* Mon Mar 13 2017 Michele Baldessari <michele@acksyn.org> - 2.3-1
- New upstream release

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 24 2017 Michele Baldessari <michele@acksyn.org> - 2.2-2
- Disable %%check for the time being as not all requirements are packaged

* Tue Jan 24 2017 Michele Baldessari <michele@acksyn.org> - 2.2-1
- New upstream

* Tue Dec 27 2016 Michele Baldessari <michele@acksyn.org> - 2.1-4
- Fix python3.6 build

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 2.1-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Mar 10 2016 Michele Baldessari <michele@acksyn.org> - 2.1-1
- New upstream

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jul 02 2015 Michele Baldessari <michele@acksyn.org> - 1.5-1
- New upstream (BZ#1238670)
* Mon Jun 22 2015 Michele Baldessari <michele@acksyn.org> - 1.4-2
- Fix python --> python2 macros
* Thu Jun 04 2015 Michele Baldessari <michele@acksyn.org> - 1.4-1
- Initial packaging
